Replace the casting of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/entities/{entity_id}/casting

Replace the casting of a shot, an asset or an episode. Send the full list of assets. The assets that are not in the list are removed from the casting. To change one asset only, use the route that casts one asset in entities. You must be a manager of the project. Each entry must have asset_id and nb_occurences. An entry without nb_occurences is skipped and its asset is removed from the casting.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • entity_id string(uuid) Required

    Unique identifier of the entity

application/json

Body Required

  • asset_id string(uuid) Required

    Asset to cast

  • nb_occurences integer Required

    Number of occurrences of the asset

    Minimum value is 0.

  • label string

    Label of the link

    Default value is empty.

Responses

  • 200 application/json

    The new casting of the entity

    Hide response attributes Show response attributes object
    • entity_id string(uuid)

      Entity unique identifier

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • id string(uuid)

        Casting entry unique identifier

      • asset_id string(uuid)

        Asset identifier

      • asset_name string

        Asset name

  • 400

    The body is not a JSON array

  • 403

    You are not a manager of the project, or the entity is not in the project

  • 404

    The entity does not exist

PUT /data/projects/{project_id}/entities/{entity_id}/casting
curl -X PUT "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/a24a6ea4-ce75-4665-a070-57453082c25/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "casting": [
    {
      "asset_id": "c46c8gc6-eg97-6887-c292-79675204e47",
      "asset_name": "Main Character"
    }
  ]
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/a24a6ea4-ce75-4665-a070-57453082c25/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "casting": [
        {
            "asset_id": "c46c8gc6-eg97-6887-c292-79675204e47",
            "asset_name": "Main Character"
        }
    ]
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
[
  {
    "asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "nb_occurences": 42,
    "label": ""
  }
]
Response examples (200)
{
  "entity_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "casting": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d360",
      "asset_id": "c46c80c6-e097-6887-c292-79675204e470",
      "asset_name": "Main Character"
    }
  ]
}